<?php
function ff_include_all_scripts() {
	
    $turl = get_template_directory_uri();
    
    /*
  
	
	
	<script type="text/javascript">
			var autoslide_time = <?php if(get_option('lcp_show_slider_autoslide') == "false")echo 0; else echo get_option('lcp_show_slider_interval'); ?>;
		</script>
   		<!--[if lt IE 7.]>
    		<script ype="text/javascript" src="<?php echo get_bloginfo('template_url');?>/js/DD_belatedPNG.js"></script>
    		<script>
    			DD_belatedPNG.fix('#search input.field, #search input.field:focus, #featured_home .bigimg .post_category,#featured_home .bigimg .post_name a, #message_buttons .button2 a, #message_buttons .button2 a:hover, #inner_content .date, img');
    		</script>
  		<![endif]-->
  		
  		    
  		    
			<script type="text/javascript" src="<?php echo get_bloginfo('template_url');?>/js/jquery.rotate.js"></script>
			<script type="text/javascript" src="<?php echo get_bloginfo('template_url');?>/js/contact.js"></script>
			<script src="<?php echo get_bloginfo('template_url');?>/skins/<?php echo $color_skin; ?>/js/dropdown.js" type="text/javascript"></script>
			<script src="<?php echo get_bloginfo('template_url');?>/js/jquery.preload.js" type="text/javascript"></script>
			<?php if(get_option('lcp_show_slider_old') == 'false' && is_home() ){  ?>
				<script src="<?php echo get_bloginfo('template_url');?>/sliders/scripts/slider_freshcubes.js" type="text/javascript"></script>
			<?php 
				}
				else if ( is_home() )
				{ ?>
				<script src="<?php echo get_bloginfo('template_url');?>/sliders/scripts/slider_lcp.js" type="text/javascript"></script>
				<?php
				}
				?>  
	<meta charset="utf-8">
	<title>
		<?php if(is_home()) { echo bloginfo('name'); echo ' | '; echo bloginfo('description'); } else { echo wp_title(' | ', false, 'right'); echo bloginfo('name'); } ?>
	</title>
	
  <link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_url');?>/style.css"/>
  <link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_url');?>/skins/<?php echo $color_skin; ?>/<?php echo $color_skin; ?>.css"/>
  <link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_url');?>/sliders/slider_freshcubes.css"/>
  
  <link rel="stylesheet" href="<?php echo get_bloginfo('template_url');?>/css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />

<script src="<?php echo get_bloginfo('template_url');?>/js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" href="<?php echo get_bloginfo('template_url');?>/css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />

	
	//after
	 * <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/layout.css"/>
	
     */
    $skin = fOpt::Get('skins', 'theme-color-skin');
    
    wp_enqueue_style('lcp-base', get_template_directory_uri().'/style.css' );
    wp_enqueue_style('lcp-skin', get_template_directory_uri().'/skins/'.$skin.'/'.$skin.'.css' );
    
    
    if( ffTemplater::getSliderType() == 'freshcubes' ) {
    	wp_enqueue_style('lcp-slider', get_template_directory_uri().'/sliders/slider_freshcubes.css' );
    } else {
    	//wp_enqueue_style('lcp-slider', get_template_directory_uri().'/sliders/slider_lcp.css' );
    }
    
    wp_enqueue_style('lcp-prettyPhoto', get_template_directory_uri().'/extern/prettyPhoto/css/prettyPhoto.css' );

    
    
    
    wp_enqueue_script('jquery');  // JQUERY including by wordpress
    wp_enqueue_script('lcp-prettyPhoto', $turl.'/extern/prettyPhoto/js/jquery.prettyPhoto.js', false, false, false);
    wp_enqueue_script('lcp-jquery-rotate', $turl.'/js/jquery.rotate.js', false, false, true);
    wp_enqueue_script('lcp-dropdown', $turl.'/js/dropdown.js', false, false, true);
    wp_enqueue_script('lcp-contact', $turl.'/js/contact.js', false, false, true);
    wp_enqueue_script('lcp-preload', $turl.'/js/jquery.preload.js', false, false, true);
    if( ffTemplater::getSliderType() == 'freshcubes' ) { 
    	wp_enqueue_script('lcp-slider', $turl.'/sliders/scripts/slider_freshcubes.js', false, false, true);
    } else {
    	wp_enqueue_script('lcp-slider', $turl.'/sliders/scripts/slider_lcp.js', false, false, true);
    }
    
    

}    
 
add_action('wp_enqueue_scripts', 'ff_include_all_scripts'); // For use on the Front end (ie. Theme)
?>